marisa
======
HTTP based File upload system.

Features
--------
+ Link expiration
+ Mimetype support
+ Random filenames
+ Multiple file uploads
+ Javascript not needed
+ Privilege drop
+ chroot(2) support
+ FastCGI support

Usage
-----
Refer to the marisa(1) manual page for details and examples.

	marisa [-v] [-f marisa.conf]

Configuration is done through its configuration file, marisa.conf(5).
The format is that of the INI file format.

Uploading files is done via PUT and POST requests. Multiple files can
be sent via POST requests.

	curl -T file.png http://domain.tld
	curl -F file=file.png -F expiry=3600 http://domain.tld

Installation
------------
Edit the `config.mk` file to match your setup, then run the following:

        $ (b)make
        # (b)make install
